#### D.6.1.8 charexp2generators

Procedure from library `alexpoly.lib` (see alexpoly_lib).

Usage:
  charexp2generators(v), v intvec

Assume:
  v contains the characteristic exponents of an irreducible plane curve singularity

Return:
  intvec, the minimal set of generators of the semigroup of the plane curve singularity

Example:

    LIB "alexpoly.lib";
    charexp2generators(intvec(28,64,66,77));
    ==> 28,64,450,911

See also: alexanderpolynomial; invariants; resolutiongraph; totalmultiplicities.

User manual for Singular version 4.4.1, 2025, generated by texi2html.